package com.xlht.xlhtproject.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.xlht.xlhtproject.respParse.bean.AjaxResult;
import com.xlht.xlhtproject.respParse.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.xlht.xlhtproject.domain.TTbDu;
import com.xlht.xlhtproject.service.ITTbDuService;

/**
 * 同步数据组态读Controller
 * 
 * @author slibra
 * @date 2024-09-19
 */
@RestController
@RequestMapping("/business/du")
public class TTbDuController extends BaseController
{
    @Autowired
    private ITTbDuService tTbDuService;

    /**
     * 查询同步数据组态读列表
     */
    @GetMapping("/list")
    public TableDataInfo list(TTbDu tTbDu)
    {
        startPage();
        List<TTbDu> list = tTbDuService.selectTTbDuList(tTbDu);
        return getDataTable(list);
    }

    /**
     * 导出同步数据组态读列表
     */
    /*@PostMapping("/export")
    public void export(HttpServletResponse response, TTbDu tTbDu)
    {
        List<TTbDu> list = tTbDuService.selectTTbDuList(tTbDu);
        ExcelUtil<TTbDu> util = new ExcelUtil<TTbDu>(TTbDu.class);
        util.exportExcel(response, list, "同步数据组态读数据");
    }*/

    /**
     * 获取同步数据组态读详细信息
     */
    @GetMapping(value = "/{ID}")
    public AjaxResult getInfo(@PathVariable("ID") Long ID)
    {
        return success(tTbDuService.selectTTbDuByID(ID));
    }

    /**
     * 新增同步数据组态读
     */
    @PostMapping
    public AjaxResult add(@RequestBody TTbDu tTbDu)
    {
        return toAjax(tTbDuService.insertTTbDu(tTbDu));
    }

    /**
     * 修改同步数据组态读
     */
    @PutMapping
    public AjaxResult edit(@RequestBody TTbDu tTbDu)
    {
        return toAjax(tTbDuService.updateTTbDu(tTbDu));
    }

    /**
     * 删除同步数据组态读
     */
	@DeleteMapping("/{IDs}")
    public AjaxResult remove(@PathVariable Long[] IDs)
    {
        return toAjax(tTbDuService.deleteTTbDuByIDs(IDs));
    }
}
