package com.xlht.xlhtproject.domain;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 设备故障信息对象 z_assay_fault
 * 
 * @author slibra
 * @date 2024-09-19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZAssayFault
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long faultId;

    /** 化验唯一编号 */
    private String assayNo;

    /** 设备编号 */
    private String deviceNo;

    /** 故障时间 */
    private String faultTime;

    /** 故障代码 */
    private String faultCode;

    /** 化验大流程 */
    private String assayBigprocess;

    /** 化验小流程 */
    private String assaySmallprocess;

    /** 试管信息 */
    private String testTubeInfo;

    /** 故障状态（0：已解决；1：故障中） */
    private String faultStatus;

    /** 化验版本 */
    private String version;

    /** 流程名 */
    private String stepName;

    /** 总步进 */
    private String stepTotal;

    /** 当前步进 */
    private String stepNow;

    /** 步进信息1 */
    private String stepInfo1;

    /** 步进信息2 */
    private String stepInfo2;

    /** 步进信息3 */
    private String stepInfo3;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    private String remark;

    //请求参数

    /**  开始时间 */
    private String timeBegin;

    /** 截止时间 */
    private String timeEnd;
}
