package com.xlht.xlhtproject.mapper;

import java.util.List;
import com.xlht.xlhtproject.domain.ZAssayResult;

/**
 * 化验结果明细Mapper接口
 * 
 * @author slibra
 * @date 2024-09-19
 */
public interface ZAssayResultMapper 
{
    /**
     * 查询化验结果明细
     * 
     * @param resultId 化验结果明细主键
     * @return 化验结果明细
     */
    public ZAssayResult selectZAssayResultByResultId(Long resultId);

    /**
     * 查询化验结果明细列表
     * 
     * @param zAssayResult 化验结果明细
     * @return 化验结果明细集合
     */
    public List<ZAssayResult> selectZAssayResultList(ZAssayResult zAssayResult);

    /**
     * 新增化验结果明细
     * 
     * @param zAssayResult 化验结果明细
     * @return 结果
     */
    public int insertZAssayResult(ZAssayResult zAssayResult);

    /**
     * 修改化验结果明细
     * 
     * @param zAssayResult 化验结果明细
     * @return 结果
     */
    public int updateZAssayResult(ZAssayResult zAssayResult);

    /**
     * 删除化验结果明细
     * 
     * @param resultId 化验结果明细主键
     * @return 结果
     */
    public int deleteZAssayResultByResultId(Long resultId);

    /**
     * 批量删除化验结果明细
     * 
     * @param resultIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZAssayResultByResultIds(Long[] resultIds);

    int selectCount();
}
